package cn.com.ty.lift.ud.operation.service;

import cn.com.ty.lift.ud.common.NotExamineDto;
import cn.com.ty.lift.ud.operation.mapper.entity.ExpertLevelSettingEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 专家评论升级规则 -Service
 * 
 * @author Xson
 * @date 2020-05-15
 */
public interface IExpertLevelSettingService extends IService<ExpertLevelSettingEntity> {

    RestResponse getLatestVersion();

    RestResponse getAllStay();

    RestResponse examineById(NotExamineDto neDto);

    RestResponse getHistoryVersion();

    RestResponse getAllCommit();

    RestResponse submit(Long id);

    RestResponse create(ExpertLevelSettingEntity entity);
}
